import type { Struct, Schema } from '@strapi/strapi';

export interface DefaultEntryTag extends Struct.ComponentSchema {
  collectionName: 'components_default_entry_tags';
  info: {
    displayName: 'EntryTag';
  };
  attributes: {
    category: Schema.Attribute.String;
    displayName: Schema.Attribute.String;
  };
}

export interface DefaultEntryTagCollection extends Struct.ComponentSchema {
  collectionName: 'components_default_entry_tag_collections';
  info: {
    displayName: 'EntryTagCollection';
  };
  attributes: {
    key: Schema.Attribute.String;
    value: Schema.Attribute.Component<'default.entry-tag', false>;
  };
}

declare module '@strapi/strapi' {
  export module Public {
    export interface ComponentSchemas {
      'default.entry-tag': DefaultEntryTag;
      'default.entry-tag-collection': DefaultEntryTagCollection;
    }
  }
}
